Permalink
Browse files

Update dependencies.

Most notably use the latest version of Rails.
  • Loading branch information...
1 parent e124ef5 commit 0b03aa5c8f6670eceeaeac2eef3d1696133ca0b1 @tristandunn committed Oct 20, 2011
View
10 Gemfile
@@ -1,14 +1,12 @@
source 'http://rubygems.org'
-gem 'rails', '3.0.7'
-gem 'rake', '0.8.7'
+gem 'rails', '3.1.1'
gem 'sqlite3-ruby', '1.3.3', :require => 'sqlite3'
group :test do
- gem 'capybara', '1.0.0.beta1'
- gem 'cucumber-rails', '0.5.1'
+ gem 'cucumber-rails', '1.1.1', :require => false
gem 'database_cleaner', '0.6.7'
- gem 'factory_girl_rails', '1.0.1'
- gem 'rspec-rails', '2.6.1'
+ gem 'factory_girl_rails', '1.3.0'
+ gem 'rspec-rails', '2.7.0'
gem 'timecop', '0.3.5'
end
View
@@ -1,137 +1,150 @@
GEM
remote: http://rubygems.org/
specs:
- abstract (1.0.0)
- actionmailer (3.0.7)
- actionpack (= 3.0.7)
- mail (~> 2.2.15)
- actionpack (3.0.7)
- activemodel (= 3.0.7)
- activesupport (= 3.0.7)
- builder (~> 2.1.2)
- erubis (~> 2.6.6)
- i18n (~> 0.5.0)
- rack (~> 1.2.1)
- rack-mount (~> 0.6.14)
- rack-test (~> 0.5.7)
- tzinfo (~> 0.3.23)
- activemodel (3.0.7)
- activesupport (= 3.0.7)
- builder (~> 2.1.2)
- i18n (~> 0.5.0)
- activerecord (3.0.7)
- activemodel (= 3.0.7)
- activesupport (= 3.0.7)
- arel (~> 2.0.2)
- tzinfo (~> 0.3.23)
- activeresource (3.0.7)
- activemodel (= 3.0.7)
- activesupport (= 3.0.7)
- activesupport (3.0.7)
- arel (2.0.10)
- builder (2.1.2)
- capybara (1.0.0.beta1)
+ actionmailer (3.1.1)
+ actionpack (= 3.1.1)
+ mail (~> 2.3.0)
+ actionpack (3.1.1)
+ activemodel (= 3.1.1)
+ activesupport (= 3.1.1)
+ builder (~> 3.0.0)
+ erubis (~> 2.7.0)
+ i18n (~> 0.6)
+ rack (~> 1.3.2)
+ rack-cache (~> 1.1)
+ rack-mount (~> 0.8.2)
+ rack-test (~> 0.6.1)
+ sprockets (~> 2.0.2)
+ activemodel (3.1.1)
+ activesupport (= 3.1.1)
+ builder (~> 3.0.0)
+ i18n (~> 0.6)
+ activerecord (3.1.1)
+ activemodel (= 3.1.1)
+ activesupport (= 3.1.1)
+ arel (~> 2.2.1)
+ tzinfo (~> 0.3.29)
+ activeresource (3.1.1)
+ activemodel (= 3.1.1)
+ activesupport (= 3.1.1)
+ activesupport (3.1.1)
+ multi_json (~> 1.0)
+ arel (2.2.1)
+ builder (3.0.0)
+ capybara (1.1.1)
mime-types (>= 1.16)
nokogiri (>= 1.3.3)
rack (>= 1.0.0)
rack-test (>= 0.5.4)
- selenium-webdriver (>= 0.0.27)
+ selenium-webdriver (~> 2.0)
xpath (~> 0.1.4)
- childprocess (0.1.9)
+ childprocess (0.2.2)
ffi (~> 1.0.6)
- cucumber (0.10.3)
+ cucumber (1.1.0)
builder (>= 2.1.2)
diff-lcs (>= 1.1.2)
- gherkin (>= 2.3.8)
+ gherkin (~> 2.5.0)
json (>= 1.4.6)
- term-ansicolor (>= 1.0.5)
- cucumber-rails (0.5.1)
- capybara (>= 1.0.0.beta1)
- cucumber (>= 0.10.3)
- nokogiri (>= 1.4.4)
- rack-test (>= 0.5.7)
+ term-ansicolor (>= 1.0.6)
+ cucumber-rails (1.1.1)
+ capybara (>= 1.1.1)
+ cucumber (>= 1.1.0)
+ nokogiri (>= 1.5.0)
database_cleaner (0.6.7)
- diff-lcs (1.1.2)
- erubis (2.6.6)
- abstract (>= 1.0.0)
- factory_girl (1.3.3)
- factory_girl_rails (1.0.1)
- factory_girl (~> 1.3)
+ diff-lcs (1.1.3)
+ erubis (2.7.0)
+ factory_girl (2.2.0)
+ activesupport
+ factory_girl_rails (1.3.0)
+ factory_girl (~> 2.2.0)
railties (>= 3.0.0)
ffi (1.0.9)
- gherkin (2.3.9)
+ gherkin (2.5.3)
json (>= 1.4.6)
- i18n (0.5.0)
- json (1.5.1)
- json_pure (1.5.1)
- mail (2.2.19)
- activesupport (>= 2.3.6)
+ hike (1.2.1)
+ i18n (0.6.0)
+ json (1.6.1)
+ json_pure (1.6.1)
+ mail (2.3.0)
i18n (>= 0.4.0)
mime-types (~> 1.16)
treetop (~> 1.4.8)
mime-types (1.16)
- nokogiri (1.4.4)
- polyglot (0.3.1)
- rack (1.2.3)
- rack-mount (0.6.14)
+ multi_json (1.0.3)
+ nokogiri (1.5.0)
+ polyglot (0.3.2)
+ rack (1.3.5)
+ rack-cache (1.1)
+ rack (>= 0.4)
+ rack-mount (0.8.3)
rack (>= 1.0.0)
- rack-test (0.5.7)
+ rack-ssl (1.3.2)
+ rack
+ rack-test (0.6.1)
rack (>= 1.0)
- rails (3.0.7)
- actionmailer (= 3.0.7)
- actionpack (= 3.0.7)
- activerecord (= 3.0.7)
- activeresource (= 3.0.7)
- activesupport (= 3.0.7)
+ rails (3.1.1)
+ actionmailer (= 3.1.1)
+ actionpack (= 3.1.1)
+ activerecord (= 3.1.1)
+ activeresource (= 3.1.1)
+ activesupport (= 3.1.1)
bundler (~> 1.0)
- railties (= 3.0.7)
- railties (3.0.7)
- actionpack (= 3.0.7)
- activesupport (= 3.0.7)
+ railties (= 3.1.1)
+ railties (3.1.1)
+ actionpack (= 3.1.1)
+ activesupport (= 3.1.1)
+ rack-ssl (~> 1.3.2)
rake (>= 0.8.7)
- thor (~> 0.14.4)
- rake (0.8.7)
- rspec (2.6.0)
- rspec-core (~> 2.6.0)
- rspec-expectations (~> 2.6.0)
- rspec-mocks (~> 2.6.0)
- rspec-core (2.6.3)
- rspec-expectations (2.6.0)
+ rdoc (~> 3.4)
+ thor (~> 0.14.6)
+ rake (0.9.2)
+ rdoc (3.11)
+ json (~> 1.4)
+ rspec (2.7.0)
+ rspec-core (~> 2.7.0)
+ rspec-expectations (~> 2.7.0)
+ rspec-mocks (~> 2.7.0)
+ rspec-core (2.7.0)
+ rspec-expectations (2.7.0)
diff-lcs (~> 1.1.2)
- rspec-mocks (2.6.0)
- rspec-rails (2.6.1)
+ rspec-mocks (2.7.0)
+ rspec-rails (2.7.0)
actionpack (~> 3.0)
activesupport (~> 3.0)
railties (~> 3.0)
- rspec (~> 2.6.0)
+ rspec (~> 2.7.0)
rubyzip (0.9.4)
- selenium-webdriver (0.2.0)
- childprocess (>= 0.1.7)
+ selenium-webdriver (2.8.0)
+ childprocess (>= 0.2.1)
ffi (>= 1.0.7)
json_pure
rubyzip
- sqlite3 (1.3.3)
+ sprockets (2.0.3)
+ hike (~> 1.2)
+ rack (~> 1.0)
+ tilt (~> 1.1, != 1.3.0)
+ sqlite3 (1.3.4)
sqlite3-ruby (1.3.3)
sqlite3 (>= 1.3.3)
- term-ansicolor (1.0.5)
+ term-ansicolor (1.0.7)
thor (0.14.6)
+ tilt (1.3.3)
timecop (0.3.5)
- treetop (1.4.9)
+ treetop (1.4.10)
+ polyglot
polyglot (>= 0.3.1)
- tzinfo (0.3.27)
+ tzinfo (0.3.30)
xpath (0.1.4)
nokogiri (~> 1.3)
PLATFORMS
ruby
DEPENDENCIES
- capybara (= 1.0.0.beta1)
- cucumber-rails (= 0.5.1)
+ cucumber-rails (= 1.1.1)
database_cleaner (= 0.6.7)
- factory_girl_rails (= 1.0.1)
- rails (= 3.0.7)
- rake (= 0.8.7)
- rspec-rails (= 2.6.1)
+ factory_girl_rails (= 1.3.0)
+ rails (= 3.1.1)
+ rspec-rails (= 2.7.0)
sqlite3-ruby (= 1.3.3)
timecop (= 0.3.5)
File renamed without changes.
File renamed without changes.
File renamed without changes.
View
@@ -1,2 +0,0 @@
-Autotest.add_discovery { 'rails' }
-Autotest.add_discovery { 'rspec2' }
View
@@ -1,11 +1,18 @@
require File.expand_path('../boot', __FILE__)
require 'rails/all'
-Bundler.require(:default, Rails.env) if defined?(Bundler)
+if defined?(Bundler)
+ # If you precompile assets before deploying to production, use this line
+ Bundler.require(*Rails.groups(:assets => %w(development test)))
+ # If you want your assets lazily compiled in production, use this line
+ # Bundler.require(:default, :assets, Rails.env)
+end
module Expense
class Application < Rails::Application
- config.encoding = 'UTF-8'
+ config.encoding = 'utf-8'
+ config.assets.enabled = true
+ config.assets.version = '1.0'
config.filter_parameters += [:password, :password_confirmation]
end
end
View
@@ -1,12 +1,5 @@
require 'rubygems'
-ENV['BUNDLE_GEMFILE'] = File.expand_path('../../Gemfile', __FILE__)
+ENV['BUNDLE_GEMFILE'] ||= File.expand_path('../../Gemfile', __FILE__)
-begin
- require 'bundler'
- Bundler.setup
-rescue Bundler::GemNotFound => e
- STDERR.puts e.message
- STDERR.puts 'Try running `bundle install`.'
- exit!
-end if File.exist?(ENV['BUNDLE_GEMFILE'])
+require 'bundler/setup' if File.exists?(ENV['BUNDLE_GEMFILE'])
@@ -1,9 +1,30 @@
Expense::Application.configure do
- config.whiny_nils = true
+ # Settings specified here will take precedence over those in config/application.rb
+
+ # In the development environment your application's code is reloaded on
+ # every request. This slows down response time but is perfect for development
+ # since you don't have to restart the web server when you make code changes.
config.cache_classes = false
- config.action_view.debug_rjs = true
- config.active_support.deprecation = :log
- config.consider_all_requests_local = true
- config.action_controller.perform_caching = false
+
+ # Log error messages when you accidentally call methods on nil.
+ config.whiny_nils = true
+
+ # Show full error reports and disable caching
+ config.consider_all_requests_local = true
+ config.action_controller.perform_caching = false
+
+ # Don't care if the mailer can't send
config.action_mailer.raise_delivery_errors = false
+
+ # Print deprecation notices to the Rails logger
+ config.active_support.deprecation = :log
+
+ # Only use best-standards-support built into browsers
+ config.action_dispatch.best_standards_support = :builtin
+
+ # Do not compress assets
+ config.assets.compress = false
+
+ # Expands the lines which load the assets
+ config.assets.debug = true
end
Oops, something went wrong.

0 comments on commit 0b03aa5

Please sign in to comment.